diff --git a/Makefile.pamphlet b/Makefile.pamphlet
index ad7c6fb..e7fc0f0 100644
--- a/Makefile.pamphlet
+++ b/Makefile.pamphlet
@@ -1220,6 +1220,28 @@ all: rootdirs noweb srcsetup lspdir srcdir
 <<clean>>
 
 @
+\subsection{Makefile.centos}
+<<Makefile.centos>>=
+
+<<ENVDEFAULTS>>
+<<ENV>>
+
+all: rootdirs noweb srcsetup lspdir srcdir
+	@echo 45 Makefile.linux called
+	@echo 46 Environment : ${ENV} 
+	@echo 47 finished system build on `date` | tee >lastBuildDate
+	@- grep "result FAILED" int/input/*.regress
+
+<<rootdirs>>
+<<noweb>>
+<<literate commands>>
+<<srcsetup>>
+<<src>>
+<<lsp>>
+<<document>>
+<<clean>>
+
+@
 \subsection{Makefile.macosxppc}
 <<Makefile.macosxppc>>=
 
diff --git a/changelog b/changelog
index 24f9736..83869ab 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20120131 tpd src/axiom-website/patches.html 20120131.01.tpd.patch
+20120131 tpd src/axiom-website/download.html
+20120131 tpd Makefile support for centos 
 20120128 tpd src/axiom-website/patches.html 20120128.03.tpd.patch
 20120128 tpd src/input/pasta.input fix add new tests
 20120128 tpd src/axiom-website/patches.html 20120128.02.tpd.patch
diff --git a/src/axiom-website/download.html b/src/axiom-website/download.html
index 8c1004d..8e83168 100644
--- a/src/axiom-website/download.html
+++ b/src/axiom-website/download.html
@@ -488,6 +488,36 @@
      </td>
     </tr>
 
+    <tr>
+     <td align="left">
+      <font face="Helvetica, Arial, sans-serif" size="+1">
+       centos
+      </font>
+     </td>
+     <td align="center"><!-- Mar 2011 -->
+      <font face="Helvetica, Arial, sans-serif" size="+1">
+      </font>
+     </td>
+     <td align="center"><!-- July 2011 -->
+      <font face="Helvetica, Arial, sans-serif" size="+1">
+      </font>
+     </td>
+     <td align="center"><!-- Sept 2011 -->
+      <font face="Helvetica, Arial, sans-serif" size="+1">
+      </font>
+     </td>
+     <td align="center"><!-- Nov 2011 -->
+      <font face="Helvetica, Arial, sans-serif" size="+1">
+      </font>
+     </td>
+     <td align="center"><!-- Jan 2012 -->
+      <font face="Helvetica, Arial, sans-serif" size="+1">
+      <a href="downloads/axiom-jan2012.1-src.tgz">src</a>
+      <a href="downloads/axiom-centos-jan2012-bin.tgz">bin</a>
+      </font>
+     </td>
+    </tr>
+
    </tbody>
   </table>
 
@@ -678,6 +708,23 @@ make
       around or, worse yet, don't install needed files. These notes
       show particular details for known systems
    </p>
+  <h3>CentOS</h3>
+   <pre>
+(for 64-bit version: yum install glibc.i686)
+yum install xterm emacs patch m4
+yum install libXt-devel libXpm-devel gcc xorg-x11-proto-devel
+yum install tetex tetex-fonts tetex-dvips tetex-latex ghostscript
+rpm -Uvh http://repo.webtatic.com/yum/centos/5/latest.rpm
+yum install --enablerepo=webtatic git-all
+download the latest axiom-(date)-src.tgz
+tar -zxf axiom-(date)-src.tgz
+cd axiom
+export AXIOM=`pwd`/mnt/centos
+export PATH=$AXIOM/bin:$PATH
+make
+
+   </pre>
+
   <h3>Fedora </h3>
    <pre>
 (for 64-bit version: yum install glibc.i686)
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index df80d5e..a1805e2 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3786,5 +3786,7 @@ src/axiom-website/documentation.html add jstat Journal article<br/>
 src/input/pasta.input fix graphics title <br/>
 <a href="patches/20120128.03.tpd.patch">20120128.03.tpd.patch</a>
 src/input/pasta.input fix add new tests<br/>
+<a href="patches/20120131.01.tpd.patch">20120131.01.tpd.patch</a>
+Makefile support for centos<br/>
  </body>
 </html>
